import React from "react";
import PT from "prop-types";
import { Provider } from "react-redux";
import { reducer as form } from "redux-form";
import { createStore, applyMiddleware, combineReducers } from "redux";

const store = applyMiddleware()(createStore)(combineReducers({ form }));

export const StoreProvider = ({ children }) => {
    return <Provider store={store}>{children}</Provider>;
};

StoreProvider.propTypes = {
    children: PT.any
};
