import "./index.scss";
import React from "react";
import PropTypes from "prop-types";
import { Link } from "react-router-dom";

export const Breadcrumbs = ({ crumbs }) => (
	<div className="breadcrumbs" aria-label="breadcrumb">
		<ol className="breadcrumb">
			{crumbs.map(({ text, link }, index) => (
				<li key={index} className="breadcrumb-item" aria-current="page">
					{link && <Link to={link}>{text}</Link>}
					{!link && text}
				</li>
			))}
		</ol>
	</div>
);

Breadcrumbs.propTypes = {
	crumbs: PropTypes.arrayOf(
		PropTypes.shape({
			text: PropTypes.string,
			link: PropTypes.string
		})
	)
};
