import React from "react";
import { storiesOf } from "@storybook/react";
import { BrowserRouter, Route } from "react-router-dom";
import { Breadcrumbs } from "./index";

const crumbs = [
    { link: "/", text: "Root" }, 
    { link: "/", text: "Group" }, 
    { link: "/", text: "Sub Group" }, 
    { link: "/", text: "Sub Sub Group" }, 
    { text: "Sub Sub Sub Group" }
];

storiesOf("Breadcrumbs", module)
	.addDecorator(story => (
		<BrowserRouter>
			<Route location="/">
				<div style={{ padding: "30px" }}>{story()}</div>
			</Route>
		</BrowserRouter>
	))
	.add("default", () => <Breadcrumbs crumbs={crumbs}>Submit</Breadcrumbs>);
