import React from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { ConfirmModal } from "./index";

storiesOf("Confirm Modal", module)
	.addDecorator(story => <div style={{ padding: "30px" }}>{story()}</div>)
	.add("default", () => <ConfirmModal content={["Start", "Confirm start", "Cancel"]} onConfirm={action("Start confirmed")} />)
	.add("expanded", () => <ConfirmModal content={["Start", "Confirm start", "Cancel"]} onConfirm={action("Start confirmed")} expandOnRender />)
	.add("is loading", () => (
		<ConfirmModal content={["Start", "Confirm start", "Cancel"]} onConfirm={action("Start confirmed")} isLoading={true} expandOnRender />
	))
	.add("with custom classes", () => (
		<ConfirmModal
			classes={["btn btn-primary", "btn btn-success", "btn btn-secondary"]}
			content={["Start", "Confirm start", "Cancel"]}
			onConfirm={action("Start confirmed")}
		/>
	))
	.add("expanded (as dialog)", () => (
		<ConfirmModal content={["Start", "Confirm start", "Cancel"]} onConfirm={action("Start confirmed")} expandOnRender asDialog />
	))
	.add("is loading (as dialog)", () => (
		<ConfirmModal content={["Start", "Confirm start", "Cancel"]} onConfirm={action("Start confirmed")} isLoading={true} expandOnRender asDialog />
	))
	.add("with custom classes (as dialog)", () => (
		<ConfirmModal
			classes={["btn btn-primary", "btn btn-success", "btn btn-secondary"]}
			content={["Start", "Confirm start", "Cancel"]}
			onConfirm={action("Start confirmed")}
			asDialog
		/>
	));
