import React, { useState } from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { FontWrapper } from "../_decorators";
import { DatePicker } from "./index.jsx";

// eslint-disable-next-line react/prop-types
const DatePickerHolder = function(props) {
	const [date, setDate] = useState("2019-06-15");
	const interceptSetDate = date => {
		action("DatePicker value changed")(date);
		setDate(date);
	};

	return (
		<div style={{ paddingBottom: "800px" }}>
			<DatePicker value={date} onChange={interceptSetDate} {...props} />
		</div>
	);
};

storiesOf("DatePicker", module)
	.addDecorator(story => <FontWrapper fontFamily="Montserrat">{story()}</FontWrapper>)
	.add("default", () => <DatePickerHolder />)
	.add("with custom date format and display format", () => <DatePickerHolder dateFormat="DD-MM-YYYY" displayDateFormat="dddd, Do MMMM YYYY" />);
