import React from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { BrowserRouter } from "react-router-dom";
import { FontWrapper, StoreProvider } from "../_decorators";
import { FileField } from "./index";

storiesOf("File Field", module)
	.addDecorator(story => (
		<BrowserRouter>
			<StoreProvider>
				<FontWrapper>{story()}</FontWrapper>
			</StoreProvider>
		</BrowserRouter>
	))
	.add("default", () => <FileField onChange={action("File Dropped")} />)
	.add("with specific file types", () => <FileField accept={["pdf", "doc"]} onChange={action("File Dropped")} />)
	.add("with 8KB max file size", () => <FileField onChange={action("File Dropped")} maxFileSize={8192} />);
