import "../_form-input.scss";
import React from "react";
import { reduxFormInputWrapper } from "../../utils/redux-form-input-wrapper";
import { CheckGroup } from "../../check-group";

export const FormCheckGroup = reduxFormInputWrapper(
	({ input, fields }) => {
		const { value, ...restOnInput } = input;
		const values = [];

		if (typeof value == "string" && value) values.push(value);
		if (typeof value == "object" && Array.isArray(value)) values.push(...value);

		return <CheckGroup values={values} {...fields} {...restOnInput} noLabel />;
	},
	{ className: "form-check-group" }
);
