import React from "react";
import { Field } from "redux-form";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { StoreProvider } from "../../_decorators";
import { FormFileField } from "./index";
import { HOCs } from "../../hocs";

storiesOf("FormFileField", module)
	.addDecorator(story => (
		<StoreProvider>
			<div style={{ padding: "30px" }}>{story()}</div>
		</StoreProvider>
	))
	.add("default", () => {
		// eslint-disable-next-line react/prop-types
		const Holder = function({ handleSubmit }) {
			const interceptSubmit = values => {
				action("FileFieldForm submitted")(values);
			};

			return (
				<form onSubmit={handleSubmit(interceptSubmit)}>
					{/* You can pass any attribute of <FormFileField /> as attributes of the <Field /> */}
					<Field component={FormFileField} name="prop" label="File Property" />
					<button className="btn btn-primary">Submit</button>
				</form>
			);
		};

		const FormWrapper = HOCs.withForm({
			name: "FileFieldForm",
			required: ["prop"]
		})(Holder);

		return <FormWrapper />;
	});
