import React from "react";

/**
 * Parses the query string in the url and passes them to the element as a "qp" object prop
 * @param  Element The element to render
 */
export const withQueryParams = Element => {
	// eslint-disable-next-line react/display-name
	return props => {
		const qp = {};
		const url = window.location.href;
		const queryString = url.split("?")[1];

		if (queryString) {
			const queryPairs = queryString.split("&");
			for (const pair of queryPairs) {
				const pairComponents = pair.split("=");
				qp[pairComponents[0].trim()] = pairComponents[1].trim();
			}
		}

		return <Element {...props} qp={qp} />;
	};
};
