import "./index.scss";
import React from "react";
import PropTypes from "prop-types";
import { Loader } from "../loader";

export const LoaderButton = ({ className, isLoading, children, ...other }) => (
	<button className={`loader-button ${className}`} disabled={isLoading} {...other}>
		{isLoading && <Loader />}
		{children}
	</button>
);

LoaderButton.propTypes = {
	children: PropTypes.any,
	isLoading: PropTypes.bool,
	className: PropTypes.string
};
