import "./index.scss";
import React from "react";
import PT from "prop-types";

export const ObjectViewer = ({ object = {}, attrs = [], renderCustomData }) => {
	const renderProperty = index => {
		const customContent = renderCustomData ? renderCustomData(object, attrs[index].value, index) : null;
		return <td>{customContent || object[attrs[index].value] || "-----"}</td>;
	};

	return (
		<table className="object-viewer table table-hover table-sm table-bordered table-striped">
			<tbody>
				{attrs.map((attr, attrIndex) => (
					<tr key={attrIndex}>
						<td>{attr.label}</td>
						{renderProperty(attrIndex)}
					</tr>
				))}
			</tbody>
		</table>
	);
};

ObjectViewer.propTypes = {
	object: PT.object,
	attrs: PT.arrayOf(
		PT.shape({
			label: PT.string,
			value: PT.string
		})
	),
	renderCustomData: PT.func
};
