import React from "react";
import moment from "moment";
import { storiesOf } from "@storybook/react";
import { FontWrapper, Router } from "../_decorators";
import { ObjectViewer } from "./index.jsx";

const object = {
	name: "Item 1",
	created_at: "2019-01-01",
	owner_institution_name: "IOI"
};

const renderCustomData = (object, value) => {
	if (value == "created_at") return moment(object[value]).format("dddd DD-MMMM-YYYY");
	return <strong>{object[value]}</strong>;
};

storiesOf("Object Viewer", module)
	.addDecorator(story => (
		<Router>
			<FontWrapper>{story()}</FontWrapper>
		</Router>
	))
	.add("default", () => (
		<ObjectViewer
			object={object}
			attrs={[
				{ label: "Name", value: "name" },
				{ label: "Created At", value: "created_at" },
				{ label: "Institution", value: "owner_institution_name" }
			]}
		/>
	))
	.add("with custom render", () => (
		<ObjectViewer
			object={object}
			attrs={[
				{ label: "Name", value: "name" },
				{ label: "Created At", value: "created_at" },
				{ label: "Institution", value: "owner_institution_name" }
			]}
			renderCustomData={renderCustomData}
		/>
	));
