import React from "react";
import { storiesOf } from "@storybook/react";
import { FontWrapper, Router } from "../_decorators";
import { Overlay } from "./index.jsx";

storiesOf("Overlay", module)
	.addDecorator(story => (
		<Router>
			<FontWrapper>{story()}</FontWrapper>
		</Router>
	))
	.add("default", () => (
		<div>
			<span>Content behind Overlay</span>

			<Overlay>
				<div style={{ backgroundColor: "white", padding: "15px" }}>Content on overlay (with background color and padding)</div>
			</Overlay>
		</div>
	));
