import React from "react";
import { storiesOf } from "@storybook/react";
import { FontWrapper } from "../_decorators";
import { PageContainer } from "./index.jsx";

storiesOf("Page Container", module)
	.addDecorator(story => <FontWrapper>{story()}</FontWrapper>)
	.add("default", () => (
		<PageContainer>
			<p>Default content</p>
		</PageContainer>
	))
	.add("with no topbar", () => (
		<PageContainer noTopbar>
			<p>No topbar content</p>
		</PageContainer>
	))
	.add("as container", () => (
		<PageContainer asContainer>
			<p>Some content as container</p>
		</PageContainer>
	));
