import "./index.scss";
import React from "react";
import PropTypes from "prop-types";

export const PageHeader = ({ title, subtitle, children }) => {
	return (
		<div className="page-header">
			<h2>{title}</h2>
			{subtitle && <p>{subtitle}</p>}

			{children && <div className="options">{children}</div>}
		</div>
	);
};

PageHeader.propTypes = {
	title: PropTypes.string,
	subtitle: PropTypes.string,
	children: PropTypes.any
};
