import React from "react";
import { storiesOf } from "@storybook/react";
import { PageHeader } from "./index";

storiesOf("Page Header", module)
	.addDecorator(story => <div style={{ padding: "30px" }}>{story()}</div>)
	.add("default", () => <PageHeader title="Funds" />)
	.add("with subtitle", () => <PageHeader title="Funds" subtitle="All funds in system" />)
	.add("with children", () => (
		<PageHeader title="Funds" subtitle="All funds in system">
			<button className="btn btn-primary btn-sm" style={{ fontSize: "12px", padding: "2px 4px" }}>
				Option 1
			</button>
			&nbsp;
			<button className="btn btn-secondary btn-sm" style={{ fontSize: "12px", padding: "2px 4px" }}>
				Option 2
			</button>
			&nbsp;
			<button className="btn btn-success btn-sm" style={{ fontSize: "12px", padding: "2px 4px" }}>
				Option 3
			</button>
			&nbsp;
			<button className="btn btn-warning btn-sm" style={{ fontSize: "12px", padding: "2px 4px" }}>
				Option 4
			</button>
			&nbsp;
			<button className="btn btn-danger btn-sm" style={{ fontSize: "12px", padding: "2px 4px" }}>
				Option 5
			</button>
		</PageHeader>
	));
