import "./index.scss";
import React from "react";
import PropTypes from "prop-types";

export const Pagination = ({ total, page, size, onPrev, onNext }) => {
	const fromIndex = (page - 1) * size + Math.min(1, total);
	const toIndex = Math.min((page - 1) * size + Math.min(size, total), total);

	return (
		<span className="pagination">
			<small className="static-info">
				Showing {fromIndex} - {toIndex} of {total}
			</small>
			&nbsp;
			{fromIndex > size && (
				<button type="button" className="pagination-btn" onClick={onPrev}>
					&lt;
				</button>
			)}
			&nbsp;
			{total > toIndex && (
				<button type="button" className="pagination-btn" onClick={onNext}>
					&gt;
				</button>
			)}
		</span>
	);
};

Pagination.propTypes = {
	page: PropTypes.number,
	total: PropTypes.number,
	size: PropTypes.number,
	onNext: PropTypes.func,
	onPrev: PropTypes.func
};
