import "./index.scss";
import PropTypes from "prop-types";
import React from "react";

export const SearchInput = ({ className, placeholder, value, onChange }) => {
	return (
		<div className="search-input">
			<input
				type="search"
				className={className || "form-control"}
				placeholder={placeholder}
				onChange={e => onChange(e.target.value)}
				value={value}
			/>
		</div>
	);
};

SearchInput.propTypes = {
	value: PropTypes.string,
	className: PropTypes.string,
	placeholder: PropTypes.string,
	onChange: PropTypes.func
};
