import React, { useState } from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { SearchInput } from "./index";

storiesOf("Search Input", module)
	.addDecorator(story => <div style={{ padding: "30px" }}>{story()}</div>)
	.add("default", () => {
		const SearchInputHolder = () => {
			const [value, setValue] = useState("");

			const interceptOnChange = value => {
				action("Search param changed")(value);
				setValue(value);
			};

			return <SearchInput placeholder="Search by name..." onChange={interceptOnChange} value={value} />;
		};

		return <SearchInputHolder />;
	});
