import React, { useState } from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { BrowserRouter, Route } from "react-router-dom";
import { Tab } from "./index.jsx";

storiesOf("Tab", module)
	.addDecorator(story => (
		<BrowserRouter>
			<Route location="/">
				<div style={{ padding: "30px" }}>{story()}</div>
			</Route>
		</BrowserRouter>
	))
	.add("default", () => (
		<Tab labels={["Tab #1", "Tab #2", "Tab #3"]}>
			<p>Content 1</p>
			<p>Content 2</p>
			<p>Content 3</p>
		</Tab>
	))
	.add("isControlled", () => {
		const TabHolder = () => {
			const [index, setIndex] = useState(0);
			const interceptSetIndex = index => {
				action("Index changed")(index);
				setIndex(index);
			};

			return (
				<Tab labels={["Tab #1", "Tab #2", "Tab #3"]} index={index} setIndex={interceptSetIndex}>
					<p>Content 1</p>
					<p>Content 2</p>
					<p>Content 3</p>
				</Tab>
			);
		};

		return <TabHolder />;
	})
	.add("with scrolling triggered", () => (
		<Tab
			labels={[
				"Tab #1",
				"Tab #2",
				"Tab #4",
				"Tab #5",
				"Tab #6",
				"Tab #7",
				"Tab #8",
				"Tab #9",
				"Tab #10",
				"Tab #11",
				"Tab #12",
				"Tab #13",
				"Tab #14",
				"Tab #15",
				"Tab #16",
				"Tab #17",
				"Tab #18",
				"Tab #19",
				"Tab #20",
				"Tab #21",
				"Tab #22"
			]}
		>
			<p>Content 1</p>
			<p>Content 2</p>
			<p>Content 3</p>
		</Tab>
	));
