import React from "react";

// eslint-disable-next-line react/display-name
export const reduxFormInputWrapper = (Component, config = {}) => field => {
	const { meta, input, ...fields } = field;

	return (
		<div className={combineClassName(fields.required, meta.touched, meta.error, config.className)}>
			{fields.label && <label>{fields.label}</label>}
			<Component meta={meta} input={input} fields={fields} />
			<div className="error-msg">{meta.touched && meta.error}</div>
		</div>
	);
};

const combineClassName = (required, metaTouched, metaError, additionalClassName) => {
	const classNames = ["form-group", "form-input"];
	if (additionalClassName) classNames.push(additionalClassName);
	if (required) classNames.push("required");
	if (metaTouched && metaError) {
		classNames.push("has-error");
	} else classNames.push("has-success");
	return classNames.join(" ");
};
